Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class DoTransition

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.DoTransition

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class DoTransition

extends Action

'Control drawing during a sequence of actions' action [PDF:1.6:8.5.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`DoTransition(Document context, Transition transition)` Creates a new transition action within the given document context.

Method Summary
`DoTransition` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Transition` | `getTransition()` Gets the transition effect to be used for the update of the display.
`void` | `setTransition(Transition value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoTransition

    public DoTransition(Document context,
                        Transition transition)

  Creates a new transition action within the given document context.

Method Detail

### clone

    public DoTransition clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Action`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getTransition

    public Transition getTransition()

  Gets the transition effect to be used for the update of the display.

### setTransition

    public void setTransition(Transition value)

  See Also:
    `getTransition()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.